Package org.apache.sysds.runtime.ooc.stats

# Class OOCEventLog

java.lang.Object
org.apache.sysds.runtime.ooc.stats.OOCEventLog

public class OOCEventLog extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`OOCEventLog.EventType`

## Constructor Summary

Constructors
Constructor
Description
`OOCEventLog()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`clear()`
`static String`
`getCacheSizeEventsCSV()`
`static String`
`getComputeEventsCSV()`
`static String`
`getDiskReadEventsCSV()`
`static String`
`getDiskWriteEventsCSV()`
`static String`
`getRunSettingsCSV()`
`static void`
`onCacheSizeChangedEvent(int callerId, long timestamp, long cacheSize, long bytesToEvict, long pinnedBytes, long readingReservedBytes)`
`static void`
`onComputeEvent(int callerId, long startTimestamp, long endTimestamp)`
`static void`
`onDiskReadEvent(int callerId, long startTimestamp, long endTimestamp, long size)`
`static void`
`onDiskWriteEvent(int callerId, long startTimestamp, long endTimestamp, long size)`
`static void`
`putRunSetting(String setting, Object data)`
`static int`
`registerCaller(String callerName)`
`static void`
`setup(int maxNumEvents)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OOCEventLog

public OOCEventLog()

## Method Details

### setup

public static void setup(int maxNumEvents)

### registerCaller

public static int registerCaller(String callerName)

### onComputeEvent

public static void onComputeEvent(int callerId, long startTimestamp, long endTimestamp)

### onDiskWriteEvent

public static void onDiskWriteEvent(int callerId, long startTimestamp, long endTimestamp, long size)

### onDiskReadEvent

public static void onDiskReadEvent(int callerId, long startTimestamp, long endTimestamp, long size)

### onCacheSizeChangedEvent

public static void onCacheSizeChangedEvent(int callerId, long timestamp, long cacheSize, long bytesToEvict, long pinnedBytes, long readingReservedBytes)

### putRunSetting

public static void putRunSetting(String setting, Object data)

### getComputeEventsCSV

public static String getComputeEventsCSV()

### getDiskReadEventsCSV

public static String getDiskReadEventsCSV()

### getDiskWriteEventsCSV

public static String getDiskWriteEventsCSV()

### getCacheSizeEventsCSV

public static String getCacheSizeEventsCSV()

### getRunSettingsCSV

public static String getRunSettingsCSV()

### clear

public static void clear()